Create a Contact Method
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactMethod \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactIndividualId": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"setAsPrimary": "<boolean>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactIndividualId: '<integer>',
type: '<string>',
value: '<string>',
isOptedIn: '<boolean>',
setAsPrimary: '<boolean>'
})
};
fetch('https://api.virtuoussoftware.com/api/ContactMethod', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactMethod"
payload = {
"contactIndividualId": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"setAsPrimary": "<boolean>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactMethod");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contactIndividualId\": \"<integer>\",\n \"type\": \"<string>\",\n \"value\": \"<string>\",\n \"isOptedIn\": \"<boolean>\",\n \"setAsPrimary\": \"<boolean>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/ContactMethod",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contactIndividualId' => '<integer>',
'type' => '<string>',
'value' => '<string>',
'isOptedIn' => '<boolean>',
'setAsPrimary' => '<boolean>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/ContactMethod")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contactIndividualId\": \"<integer>\",\n \"type\": \"<string>\",\n \"value\": \"<string>\",\n \"isOptedIn\": \"<boolean>\",\n \"setAsPrimary\": \"<boolean>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/ContactMethod")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contactIndividualId\": \"<integer>\",\n \"type\": \"<string>\",\n \"value\": \"<string>\",\n \"isOptedIn\": \"<boolean>\",\n \"setAsPrimary\": \"<boolean>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/ContactMethod';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactIndividualId: '<integer>',
type: '<string>',
value: '<string>',
isOptedIn: '<boolean>',
setAsPrimary: '<boolean>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 300101,
"type": "Home Email",
"value": "marcus.castellano@example.org",
"isOptedIn": true,
"isPrimary": true,
"canBePrimary": true,
"createDateTimeUtc": "2025-11-15T18:00:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"isArchived": false
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contact Methods
Create a Contact Method
POST
/
api
/
ContactMethod
Create a Contact Method
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactMethod \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactIndividualId": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"setAsPrimary": "<boolean>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactIndividualId: '<integer>',
type: '<string>',
value: '<string>',
isOptedIn: '<boolean>',
setAsPrimary: '<boolean>'
})
};
fetch('https://api.virtuoussoftware.com/api/ContactMethod', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactMethod"
payload = {
"contactIndividualId": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"setAsPrimary": "<boolean>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactMethod");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contactIndividualId\": \"<integer>\",\n \"type\": \"<string>\",\n \"value\": \"<string>\",\n \"isOptedIn\": \"<boolean>\",\n \"setAsPrimary\": \"<boolean>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/ContactMethod",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contactIndividualId' => '<integer>',
'type' => '<string>',
'value' => '<string>',
'isOptedIn' => '<boolean>',
'setAsPrimary' => '<boolean>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/ContactMethod")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contactIndividualId\": \"<integer>\",\n \"type\": \"<string>\",\n \"value\": \"<string>\",\n \"isOptedIn\": \"<boolean>\",\n \"setAsPrimary\": \"<boolean>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/ContactMethod")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contactIndividualId\": \"<integer>\",\n \"type\": \"<string>\",\n \"value\": \"<string>\",\n \"isOptedIn\": \"<boolean>\",\n \"setAsPrimary\": \"<boolean>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/ContactMethod';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactIndividualId: '<integer>',
type: '<string>',
value: '<string>',
isOptedIn: '<boolean>',
setAsPrimary: '<boolean>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 300101,
"type": "Home Email",
"value": "marcus.castellano@example.org",
"isOptedIn": true,
"isPrimary": true,
"canBePrimary": true,
"createDateTimeUtc": "2025-11-15T18:00:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"isArchived": false
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Last modified on July 24, 2026
Was this page helpful?